#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long n,k,r,m=0,l=0,guza=0;
    cin >> n >> k;
    long a[n];
    long b[100];
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
    }
    for(int i=0;i<n;i++)
    {
        r=0;
        for(int j=0;j<n;j++)
        {
            if(a[i]==a[j])
            {
                r+=1;
            }
        }

        if(r>=k)
        {
            b[l]=a[i];
            l=l+1;
            m+=1;
        }
    }
    long minm;
    for(int i=0;i<m-1;i++)
    {
        minm=i;
        for(int j=i+1;j<m;j++)
        {
            if(b[minm]>b[j])
            {
                minm=j;
            }
        }
        swap(b[minm],b[i]);
    }
    if(m>0)
    {
        guza=1;

        for(int i=0;i<m-1;i++)
        {
            if(b[i]!=b[i+1])
            {

                guza+=1;
            }
        }
    }
    cout<<guza<< endl;
    if(m>0)
    {

        cout << b[0]<<" ";
        for(int i=0;i<m-1;i++)
        {
            if(b[i]!=b[i+1])
            {
                cout << b[i+1]<<" ";

            }
        }
    }
    else
    {
        cout << 0;
    }
    cout << endl;
    return 0;
}